Index: sansview/glossaryhelp.html
===================================================================
--- sansview/glossaryhelp.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
+++ sansview/glossaryhelp.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
@@ -0,0 +1,17 @@
+<html>
+
+<body bgcolor="#ffffff">
+<h4>Table of Contents</h4>
+
+<ul>
+<li><a href="load_data_help.html">Load a File</a></li>
+<li><a href="single_fit_help.html">Single fit</a></li>
+<li><a href="simultaneous_fit_help.html">Simultaneous fit</a></li>
+<li><a href="change_scale_help.html">Change scale</a></li>
+<li><a href="reset_Graph_help.html">Reset graph</a></li>
+<li><a href="save_data_help.html">Save data</a></li>
+<li><a href="model_use_help.html">visualize model</a></li>
+</ul>
+
+</body>
+</html>
Index: sansview/help.html
===================================================================
--- sansview/help.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
+++ sansview/help.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
@@ -0,0 +1,12 @@
+<html>
+
+<frameset cols="120,*">
+
+<frame src="model_use_help.html">
+<frame src="load_data_help.html" 
+name="showframe">
+
+</frameset>
+
+</html>
+
Index: sansview/load_data_help.html
===================================================================
--- sansview/load_data_help.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
+++ sansview/load_data_help.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
@@ -0,0 +1,12 @@
+<html>
+<body>
+
+<p>
+<h6>Loading File</h6>
+Overview of elementary concepts in statistics.
+Variables. Correlation. Measurement scales. Statistical significance. 
+Distributions. Normality assumption.
+</p>
+
+</body>
+</html>
Index: sansview/model_use_help.html
===================================================================
--- sansview/model_use_help.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
+++ sansview/model_use_help.html	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
@@ -0,0 +1,9 @@
+<html>
+<body>
+
+<a href ="load_data_help.html" target ="showframe">Frame a</a><br>
+<a href ="glossaryhelp.html" target ="showframe">Frame b</a><br>
+
+
+</body>
+</html>
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 04edd0d845537a4d4c411d1d7fb4fe7c3acffcbb)
+++ sansview/perspectives/fitting/fitting.py	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
@@ -78,5 +78,10 @@
             TODO: replace the text with a nice image
         """
-        pass
+        from helpDialog import  HelpWindow
+        dialog = HelpWindow(None, -1, 'HelpWindow')
+        if dialog.ShowModal() == wx.ID_OK:
+            pass
+        dialog.Destroy()
+        
     
     def get_context_menu(self, graph=None):
Index: sansview/perspectives/fitting/helpDialog.py
===================================================================
--- sansview/perspectives/fitting/helpDialog.py	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
+++ sansview/perspectives/fitting/helpDialog.py	(revision d7d143b07adc791a1d95ba0cfa6985f306ee9a02)
@@ -0,0 +1,61 @@
+#!/usr/bin/python
+import wx
+import wx.html as html
+
+class HelpWindow(wx.Dialog):
+    def __init__(self, parent, id, title):
+        wx.Dialog.__init__(self, parent, id, title, size=(450, 450))
+        
+        vbox1  = wx.BoxSizer(wx.HORIZONTAL)
+        
+        #lpanel = wx.Panel(self, -1, style=wx.BORDER_SUNKEN)
+        rpanel = wx.Panel(self, -1)
+        #vbox1.Add(lpanel, -1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        vbox1.Add(rpanel, -1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        
+        vbox = wx.BoxSizer(wx.VERTICAL)
+        header = wx.Panel(rpanel, -1, size=(-1, 20))
+        header = wx.Panel(rpanel, -1)
+        header.SetBackgroundColour('#6666FF')
+        header.SetForegroundColour('WHITE')
+        hbox = wx.BoxSizer(wx.HORIZONTAL)
+        st = wx.StaticText(header, -1, 'Help', (5, 5))
+        
+        font = st.GetFont()
+        font.SetPointSize(10)
+        st.SetFont(font)
+        hbox.Add(st, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
+        header.SetSizer(hbox)
+        vbox.Add(header, 0, wx.EXPAND)
+       
+
+        help = html.HtmlWindow(rpanel, -1, style=wx.NO_BORDER)
+        help.LoadPage('help.html')
+       
+        vbox.Add(help, 1, wx.EXPAND)
+        
+        rpanel.SetSizer(vbox)
+        #lpanel.SetFocus()
+        
+        self.SetSizer(vbox1)
+        self.Centre()
+        self.Show(True)
+
+class MyApp(wx.App):
+    def OnInit(self):
+        
+        dialog = HelpWindow(None, -1, 'HelpWindow')
+        if dialog.ShowModal() == wx.ID_OK:
+            pass
+        dialog.Destroy()
+        
+        return 1
+   
+
+# end of class MyApp
+
+if __name__ == "__main__":
+    app = MyApp(0)
+    app.MainLoop()
+
+
